package com.wizarpos.test.aidl.control;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;

import com.wizarpos.wizarviewagentassistant.aidl.IModifyAdminPwdService;


public class AdminApiMgr implements ServiceConnection {
    private static volatile AdminApiMgr instance = null;

    private AdminApiMgr() {}

    public static AdminApiMgr getInstance() {
        if (instance == null) {
            synchronized (AdminApiMgr.class) {
                if (instance == null) {
                    instance = new AdminApiMgr();
                }
            }
        }
        return instance;
    }

    private IModifyAdminPwdService apiService;
    public void test(){

    }

    public void bindService(Context context){
        Intent intent = new Intent();
        intent.setClassName("com.wizarpos.wizarviewagentassistant",
                "com.wizarpos.wizarviewagentassistant.AdminPwdMainService");
        context.bindService(intent, this, Context.BIND_AUTO_CREATE);
    }

    public IModifyAdminPwdService getApiService(){
        return apiService;
    }

    public void unbindService(Context context){
        context.unbindService(this);
    }

    @Override
    public void onServiceConnected(ComponentName name, IBinder service) {
        apiService = IModifyAdminPwdService.Stub.asInterface(service);
    }

    @Override
    public void onServiceDisconnected(ComponentName name) {
//        Log.d("", ""onServiceDisconnected(%s)", name);

    }
}
